Page MenuHomeFreeBSD

Add IFCAP_NOMAP to iflib
AcceptedPublic

Authored by gallatin on Sep 26 2019, 12:47 AM.

Details

Reviewers
shurd
erj
marius
jhb
Group Reviewers
iflib
Summary

IFCAP_NOMAP indicates that a driver is well behaved with respect to unmapped mbufs. This means that the driver not doing anything grotty with the contents of non-header mbufs on transmit. Specifically, it indicates that the driver is not doing something like calling mtod() and memcpy()'ing packets, and that the driver is using busdma (or sglist) to manage dma, rather than calling pmap_kextract(). Given that iflib fits this definition, and given that it does not pass raw mbufs to drivers, then we should allow it to skip the mb_unmapped_to_ext()

Note that unmapped mbufs have been well tested with iflib when using the ix and ixl drivers.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 26705

Event Timeline

gallatin created this revision.Sep 26 2019, 12:47 AM
Herald added 1 blocking reviewer(s): iflib. · View Herald TranscriptSep 26 2019, 12:47 AM
Herald added subscribers: ae, imp. · View Herald Transcript
jhb accepted this revision as: jhb.Sep 27 2019, 7:21 PM
marius accepted this revision.Oct 7 2019, 7:36 PM

Looks good to me

This revision is now accepted and ready to land.Oct 7 2019, 7:36 PM
erj accepted this revision.Wed, Oct 23, 5:10 PM